X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

How to install IDM extension on Firefox beta versions?

Posted

which IDM extension can be installed on Firefox beta versions?

Additional System Details

Installed Plug-ins

  • Zeon PDF Plugin For Mozilla
  • Google Talk Plugin Video Accelerator version:0.1.44.5
  • Version 2.1.8.0
  • Google Update
  • BrowserPlus -- Improve your browser! -- http://browserplus.yahoo.com/
  • Shockwave Flash 10.2 r153
  • Next Generation Java Plug-in 1.6.0_25 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Yahoo Application State Plugin version 1.0.0.7
  • 4.0.60531.0
  • Adobe PDF Plug-In For Firefox and Netscape 10.0.1

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:5.0) Gecko/20100101 Firefox/5.0

More Information

the-edmeister
  • Top 10 Contributor
  • Moderator
3195 solutions 24387 answers

That would be a question for IDM - but from what I have been reading in this forum, it seems that IDM is slow at supporting new Firefox release versions lately, so I doubt if they support the beta pre-release versions at all.

Take a look at this add-on, it supports three Firefox versions coming in the future, already - Beta, Aurora, and Nightly channel support.
https://addons.mozilla.org/en-US/firefox/addon/flashgot/
http://flashgot.net/

Modified by the-edmeister